with Charles.Multisets.Hashed.Unbounded;
pragma Elaborate_All (Charles.Multisets.Hashed.Unbounded);

with Charles.Hash_Integer;

package Integer_Hashed_Multisets is
   new Charles.Multisets.Hashed.Unbounded (Integer, Hash => Charles.Hash_Integer);

pragma Preelaborate (Integer_Hashed_Multisets);
